package net.minecraft.world.item.crafting;

import net.minecraft.world.level.ItemLike;
import net.minecraft.world.level.block.Blocks;
import net.minecraft.world.item.ItemStack;
import net.minecraft.resources.ResourceLocation;

public class CampfireCookingRecipe extends AbstractCookingRecipe {
    public CampfireCookingRecipe(final ResourceLocation uh, final String string, final Ingredient bmr, final ItemStack bki, final float float5, final int integer) {
        super(RecipeType.CAMPFIRE_COOKING, uh, string, bmr, bki, float5, integer);
    }
    
    @Override
    public ItemStack getToastSymbol() {
        return new ItemStack(Blocks.CAMPFIRE);
    }
    
    @Override
    public RecipeSerializer<?> getSerializer() {
        return RecipeSerializer.CAMPFIRE_COOKING_RECIPE;
    }
}
